# Class PrivateKeyCallback.IssuerSerialNumRequest

java.lang.Object
javax.security.auth.message.callback.PrivateKeyCallback.IssuerSerialNumRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  `PrivateKeyCallback`

public static class PrivateKeyCallback.IssuerSerialNumRequest extends Object implements PrivateKeyCallback.Request

## Constructor Summary

Constructors
Constructor
Description
`IssuerSerialNumRequest(X500Principal issuer, BigInteger serialNum)`

## Method Summary

Modifier and Type
Method
Description
`X500Principal`
`getIssuer()`
`BigInteger`
`getSerialNum()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IssuerSerialNumRequest

public IssuerSerialNumRequest(X500Principal issuer, BigInteger serialNum)

## Method Details

### getIssuer

public X500Principal getIssuer()

### getSerialNum

public BigInteger getSerialNum()